package rwth.i2.ltlrv.management;

import rwth.i2.ltlrv.afastate.interfaze.IProposition;
import rwth.i2.ltlrv.data.WeakValuesHashMap;
import rwth.i2.ltlrv.data.WeakValuesMap;
import rwth.i2.ltlrv.formula.interfaze.IFormula;

/**
 * EvalAbstractIfClosureTests
 * 
 * @author Eric Bodden
 */
public class EvalAbstractIfClosureTests extends EvalAbstractEvaluationTest {

    /**
     * @param formula
     */
    public EvalAbstractIfClosureTests(IFormula formula) {
        super(formula);
    }

    protected WeakValuesMap<String, Object> addUnBound(WeakValuesMap<String, Object> input, String id) {
        WeakValuesMap<String, Object> result = new WeakValuesHashMap<String,Object>();
        result.putAll(input);
        result.put(id,IProposition.UNBOUND);
        return result;
    }
}
