package rwth.i2.ltlrv.management;


/**
 * EvalUntilTest
 * 
 * @author Eric Bodden
 */
@SuppressWarnings("all")
public class EvalUntilTest extends EvalAbstractEvaluationTest {

    public EvalUntilTest() {
        super( f.Until(f.Not(p_a),p_b) ); 
    }
    
    public void testConcurrentPositive() {
        assertFalse(config.isFinal());

        props.add(p_a.specializeBindings(bindings_actual_a_1));
        props.add(p_b.specializeBindings(bindings_actual_b_1));
        config.transition(props);
        assertTrue(config.isTT());
    }
}
